composer

Установка композера и друпала через него

26 июня в 5:25

Разыскивается пример установки композера и друпала 8 с нуля для чайников как на локальный компьютер, так и на сервер.

Проблема с установкой библиотеки для PHPMailer (SMTP Используется PHPMailer library версия Отсутствует)

23 мая в 15:40

Решаю проблему с установкой библиотеки для PHPMailer SMTP

Please install the PHPMailer library by executing 'composer update' in your site's root directory. (Используется PHPMailer library версия Отсутствует)

Ошибка обновления модуля в Drupal 8 через comoser- как исправить?

8 мая 2019 в 19:12

Приветствую!

Подскажите пожалуйста как исправить вот такую ошибку при попытке обновления модулей в Drupal 8 через composer:

Problem 1
- The requested package egulias/email-validator (locked at 2.1.7, required as ^1.2) is satisfiable by egulias/email-validator[2.1.7] but these conflict with your requirements or minimum-stability.

Команды для Composer ввожу любые (например composer require 'drupal/mailgun:1.x-dev' ), но всё время появляется эта ошибка.

Заранее спасибо за помощь!

Установка drupal 8 (Composer + OpenServer)

3 апреля 2019 в 17:42

Приветствую всех! Обычная установка или установка на сервере OpenServer проходит нормально, но если я закачиваю Drupal через Composer - после того, как ввожу данные для подключения к базе данных, опять выбрасывает на выбор языка, затем профиля, затем выскакивает ошибка:
В чем может быть проблема, кто-то сталкивался?
php - 7.0 - x64
mysql - 5.5 - x 64

Как обновить ядро через composer

18 октября 2018 в 18:27

Поставил композер глобально на комп на windows 7, натравил его на денвер, composer успешно встал.

composer update --with-dependencies

Перешел в папку с сайтом, сделал команду выше, но ядро он так обновлять отказывается обновилось только с 8.4.6 до 8.4.8 - далее (а текущая 8.6.*) отказывается.